Subject: Re: [Lwip] Fwd: New Version Notification for draft-ietf-lwig-curve-representations-23.txt

From: Rene Struik <[email-masked]>
Date: Thu, 3 Mar 2022 10:00:12 -0500

tick, tick, tick...

(It is hard not to become cynical)

On 2022-02-17 9:27 a.m., Rene Struik wrote:
> Hi Erik:
>
> Could you *please* let me know when the lwig curve draft will be 
> scheduled for IESG telechat again? I do not understand why you make 
> events that can be reasonably prevented by timely actions 
> self-fulfilling prophecies. Please note that I suggested putting this 
> on the calendar Jan 25th (after you suggested this yourself earlier), 
> with various reminders since.
>
> I do not want to have to take this to the list, but see no other 
> choice. Please also see the background info on this file below (for 
> everyone to see).
>
> Please also see Daniel Migault's email below on, who provided 
> independent assessment of reasonable-ness.
>
>     [email Daniel Migault of Feb 9, 2022, 11:16am EST]
>
>     I seems reasonable this document passes the IESG before the IESG get renewed as it currently has in mind the history of the draft.
>
>
> Rene
>
> -------- Forwarded Message --------
> Subject: 	Re: (--> iesg telechat agenda) Re: Fwd: New Version 
> Notification for draft-ietf-lwig-curve-representations-23.txt
> Date: 	Mon, 14 Feb 2022 11:07:39 -0500
> From: 	Rene Struik <[email-masked]>
> To: 	Erik Kline <[email-masked]>, Mohit Sethi <[email-masked]>
> CC: 	Mohit Sethi <[email-masked]>
>
>
>
> Hi Erik:
> I had a quick look at the iesg telechat agenda slots [1].
>
> I asked for an IESG telechat date before a roster change of ADs, since adding yet more friction by stalling this document further is, in my mind, really unwarranted.
>
>  From the IESG telechat agendas for upcoming meetings, I see no reason this could not be scheduled for March 3rd, the next opportunity after this week. This could then be
> brought up again March 10th, if necessary.
>
> Given that the document had been withdrawn three times from the telechat narrowly before discussion was scheduled to take place (see below), there should have been
> ample time for ADs to give this document a look (there were three opportunities before).
>
> I do not understand why one would have to ask Sec ADs when they wish things to be put on the agenda: isn't that your prerogative? Besides, those who cared already did
> their own "yanking off the agenda" acts, so no reason to make this a repeat affair.
>
> I have seen offline comments by Ben Kaduk almost 9 months ago, which I all considered and responded to at the time. I have seen none articulated by Roman Danyliv, the
> other Security AD. So, most likely, technical DISCUSSES will be a repeat of offline chatter almost a year old, but now out in the open.
>
> Final note: please note Carsten Bormann (re Magnus Westerlund's DISCUSS) suggested timeline for resolving the tiny iana item, in email Feb 17, 2021, 7.25am EST [4]:
> "But I don’t want to create another obstacle for lwig-curve-representations now, so maybe we could do 1 *and* 2. Let’s decide this later today."
>
> Background info:
> Upcoming telechats:
> (a) Feb 17: 405 pages; (b) March 3: 159 pages; (c) March 10: 77 pages; (d) April 7: 44 pages.
> History of scheduling the lwig curve doc for iesg telechat ([2], my email time stamps):
> a) doc status change: Feb 3, 2021
> -changed to "IESG Evaluation", by Erik Kline;
> a) first agenda slot: Feb 18, 2021
> yanked off the agenda the evening before, Feb 17, 2021, 11:56pm EST, by Erik Kline;
> b) second agenda slot: July 15, 2021
> -scheduled by Amy Vezza on June 22nd);
> -yanked off agenda via "DEFER" action the evening before, July 14, 2021, 7.08pm EST, by Ben Kaduk;
> c) third agenda slot: Aug 12, 2021
> -triggered by Ben Kaduk's DEFER (see b) above);
> -yanked off agenda 1 1/2 days before, Aug 10, 2021, 6.47pm EST, by Erik Kline;
> Note: accompanied by status change to "Waiting for Write-up" (inconsistent with [3])
> Ref:
> [1]https://datatracker.ietf.org/iesg/agenda/documents/
> [2]https://datatracker.ietf.org/doc/draft-ietf-lwig-curve-representations/history/
> [3]https://datatracker.ietf.org/help/state/draft/iesg
> [4]https://mailarchive.ietf.org/arch/msg/lwip/ZJG-pzuIRtMnHdCK9g74XWmXYds/
>
> On 2022-02-14 3:36 a.m., Erik Kline wrote:
> Rene,
>
> Just to let you know where things are at right now.  I've sent email 
> to the current and incoming SEC ADs to see if they'd like this on the 
> last telechat (March 10th) before the IESG changeover, or the earliest 
> telechat after the changeover.
>
> No matter which telechat the document appears on, the incoming SEC AD 
> will have to ballot since Ben's ballot will expire after the SEC AD 
> handover and it usually takes several weeks of back-and-forth to 
> resolve all comments on any given document (especially with some folks 
> actually traveling to Vienna).
>
> I don't know what kind of reviewer Paul (incoming SEC AD) will be, but 
> I hope to close the loop this week and have it booked accordingly.
>
> Thank you,
> -Erik
>
> On Tue, Jan 25, 2022 at 6:23 PM Rene Struik <[email-masked]> wrote:
> Hi Erik:
>
> Can you make sure that the lwig curve draft gets back on the iesg 
> telechat agenda (I did not see this listed)? I would like us to avoid 
> more disruptions in the future due to iesg membership changes with 
> Security ADs in March. In fact, I think we should be able to finish 
> this before then.
>
> Thanks, Rene
>
> On 2022-02-09 11:16 a.m., Daniel Migault wrote:
>> I seems reasonable this document passes the IESG before the IESG get renewed as it currently has in mind the history of the draft.
>>
>> I understand this draft get a higher priority over the remaining draft in lwig.
>>
>> Yours,
>> Daniel
>>
>> ________________________________________
>> From: Lwip<[email-masked]>  on behalf of Rene Struik<[email-masked]>
>> Sent: Wednesday, February 9, 2022 10:58 AM
>> To:[email-masked]
>> Cc:[email-masked]; The IESG
>> Subject: Re: [Lwip] Fwd: New Version Notification for draft-ietf-lwig-curve-representations-23.txt
>>
>> Dear Erik:
>>
>> Could you please make sure the lwig curve draft ends up on the iesg telechat agenda again asap?
>>
>> I think we should (and easily can) get this draft done before there is another IESG roster change (due to AD changes in March). Next week, it will be precisely one year this draft was first put on the iesg telechat agenda (Feb 18, 2021, to be precise). Let us make sure we do not need candles to "celebrate" one year of zero progress.
>>
>> Thanks for your help!
>>
>> Apologies for sending this message via the mailing list: however, for some reason, none of my offline email messages sent to you since January 13, 2022 seemed to have reached you (or, at least, have been replied to). I did see other emails from [email-masked]<mailto:[email-masked]>  address, so presume that address still works (if this assumption is incorrect, please let me know).
>>
>> Rene
>>
>> On 2022-01-21 6:32 p.m., Rene Struik wrote:
>>
>> Dear colleagues:
>>
>> I updated the lwig curve draft, so as to take into account (1) another crypto review panel review this draft was subjected to by the powers that be; (2) discussions on ECDSA with the SHA3 family hash functions that took place on the COSE mailing list and offline Nov-early January.
>>
>> Changes:
>>
>> a) Section 7 (Implementation Status): included reference to ANSSI's (French information security agency) use of lwig curve draft, including motivations (hooray);
>>
>> b) Appendix B.1 (Elliptic Curve Nomenclature): made definition of isomorphic curves in Appendix B.1 more precise, via one-sentence change (zero impact on draft, but done for completeness);
>>
>> c) Appendix I (Data Conversions): added Definition of ASCII symbols (with reference to RFC 20);
>>
>> d) Appendix Q (ECDSA): corrected numerical examples for ECDSA w/ Wei25519 and SHAKE-128 (Appendix Q.3.2) and ECDSA w/ Wei448 and SHAKE-256 (Appendix Q.3.3). Here, it turned out that the Python code in Sage that I used incorrectly implements the FIPS 202 specification of SHAKE128 and SHAKE256. To do this properly, I implemented all SHA3 functions from scratch on the bit-level and had this vetted independently via contacts at NIST. To indicate that ECDSA w/ Wei448 and SHAKE256 uses FIPS 202-conformant SHAKE256, I added in Section 4.3 as reference to FIPS 202 "see Section 6.3 of [FIPS 202]"). BTW - adding ASCII (point c) above) above was motivated by desire to avoid bit/byte-ordering ambiguity and set the record straight.
>>
>> I made a few (very few) typographical and cosmetic changes throughout the document, in an attempt to make the crypto review panel reviewer happy. (Time will tell.)
>>
>> I hope this helps.
>>
>> Best regards, Rene
>>
>> -------- Forwarded Message --------
>> Subject:        New Version Notification for draft-ietf-lwig-curve-representations-23.txt
>> Date:   Fri, 21 Jan 2022 14:56:26 -0800
>> From:[email-masked]<mailto:[email-masked]>
>> To:     Rene Struik<[email-masked]><mailto:[email-masked]>
>>
>>
>>
>> A new version of I-D, draft-ietf-lwig-curve-representations-23.txt
>> has been successfully submitted by Rene Struik and posted to the
>> IETF repository.
>>
>> Name: draft-ietf-lwig-curve-representations
>> Revision: 23
>> Title: Alternative Elliptic Curve Representations
>> Document date: 2022-01-21
>> Group: lwig
>> Pages: 150
>> URL:https://www.ietf.org/archive/id/draft-ietf-lwig-curve-representations-23.txt
>> Status:https://datatracker.ietf.org/doc/draft-ietf-lwig-curve-representations/
>> Htmlized:https://datatracker.ietf.org/doc/html/draft-ietf-lwig-curve-representations
>> Diff:https://www.ietf.org/rfcdiff?url2=draft-ietf-lwig-curve-representations-23
>>
>> Abstract:
>> This document specifies how to represent Montgomery curves and
>> (twisted) Edwards curves as curves in short-Weierstrass form and
>> illustrates how this can be used to carry out elliptic curve
>> computations leveraging existing implementations and specifications
>> of, e.g., ECDSA and ECDH using NIST prime curves. We also provide
>> extensive background material that may be useful for implementers of
>> elliptic curve cryptography.
>>
>>
>>
>>
>> The IETF Secretariat
>>
>>
>>
>>
>> --
>> email:[email-masked]<mailto:[email-masked]>  | Skype: rstruik
>> cell: +1 (647) 867-5658 | US: +1 (415) 287-3867
>
>
> -- 
> email:[email-masked]  | Skype: rstruik
> cell: +1 (647) 867-5658 | US: +1 (415) 287-3867

-- 
email:[email-masked]  | Skype: rstruik
cell: +1 (647) 867-5658 | US: +1 (415) 287-3867